<mat-card class="mat-card-style">
    <mat-card-header>
      <mat-card-title>Sortie</mat-card-title>
    </mat-card-header>
    <mat-card-content>
  
      <form [formGroup]="exitForm">
        <div class="firstLine">
          <p class="inline-paragraph">Magasin destination</p>
          <mat-form-field>
            <mat-label>lieu de déclaration</mat-label>
            <mat-select formControlName="warehouseCode">
              <mat-option  *ngFor="let warehouse of warehouses" [value]="warehouse">
                {{warehouse}}
              </mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field>
            <mat-label>Nom de l'entrepôt</mat-label>
            <input matInput formControlName="warehouseName">
          </mat-form-field>
          <p class="inline-paragraph">Statut Douanier</p>
          <mat-form-field>
            <mat-label>Statut</mat-label>
            <mat-select formControlName="officerType">
              <mat-option *ngFor="let officerType of officerTypes" [value]="officerType">
                {{officerType}}
              </mat-option>
            </mat-select>
          </mat-form-field>
        </div>
  
        <div class="secondLine">
          <p class="inline-paragraph">Référence</p>
          <mat-form-field>
            <mat-label>Type</mat-label>
            <mat-select formControlName="refType">
              <mat-option *ngFor="let refType of refTypes" [value]="refType">
                {{refType}}
              </mat-option>
            </mat-select>
          </mat-form-field>
          <mat-form-field>
            <mat-label>La référence</mat-label>
            <input matInput type="number" (keypress)="onKeyPressOnlyNumber($event)" formControlName="reference">
          </mat-form-field>
        </div>

        <div class="thirdLine">
            <p class="inline-paragraph">Apurement</p>
            <mat-form-field>
                <mat-label>Type du document</mat-label>
                <mat-select formControlName="documentType">
                  <mat-option *ngFor="let documentType of officerTypes" [value]="documentType">
                    {{documentType}}
                  </mat-option>
                </mat-select>
              </mat-form-field>
              <mat-form-field>
                <mat-label>Référence du document</mat-label>
                <input matInput type="number" (keypress)="onKeyPressOnlyNumber($event)" formControlName="documentReference">
              </mat-form-field>
          </div>
  
        <div class="fourthLine">
          <p class="inline-paragraph">Nature de la marchandise</p>
          <mat-form-field>
            <mat-label>description</mat-label>
            <input matInput formControlName="merchandiseDescription">
          </mat-form-field>
        </div>
  
        <div class="fifthLine">
          <mat-form-field>
            <mat-label>Quantité</mat-label>
            <input matInput type="number" (keypress)="onKeyPressOnlyNumber($event)" formControlName="quantity">
          </mat-form-field>
          <mat-form-field>
            <mat-label>Poids</mat-label>
            <input matInput type="number" (keypress)="onKeyPressOnlyNumber($event)" formControlName="weight">
          </mat-form-field>
        </div>
  
        <div class="sixthLine">
          <mat-form-field>
            <mat-label>Quantité total</mat-label>
            <input matInput type="number" (keypress)="onKeyPressOnlyNumber($event)" formControlName="totalQuantity">
          </mat-form-field>
          <mat-form-field>
            <mat-label>Poids total</mat-label>
            <input matInput type="number" (keypress)="onKeyPressOnlyNumber($event)" formControlName="totalWeight">
          </mat-form-field>
        </div>
      </form>
  
  
    </mat-card-content>
    <p class="errorMessage" *ngIf="errorMessage">{{errorMessage}}</p>
    <mat-card-actions>
      <button mat-button (click)="cancelButton()">Annuler</button>
      <button mat-button (click)="onSubmit()" [disabled]="!exitForm.valid">Envoyer</button>
    </mat-card-actions>
  </mat-card>
  

